org.eclipse.ease.debugging

## Class ScriptSourceLocator

- java.lang.Object
- - org.eclipse.ease.debugging.ScriptSourceLocator

All Implemented Interfaces:
  IPersistableSourceLocator, ISourceLocator

    public class ScriptSourceLocator
    extends Object
    implements IPersistableSourceLocator

### Constructor Summary

Constructors
Constructor and Description
`ScriptSourceLocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMemento()`
`Object` `getSourceElement(IStackFrame stackFrame)`
`void` `initializeDefaults(ILaunchConfiguration configuration)`
`void` `initializeFromMemento(String memento)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptSourceLocator

    public ScriptSourceLocator()

### Method Detail

#### getSourceElement

    public Object getSourceElement(IStackFrame stackFrame)

Specified by:
  `getSourceElement` in interface `ISourceLocator`

#### getMemento

    public String getMemento()
                      throws CoreException

Specified by:
  `getMemento` in interface `IPersistableSourceLocator`
Throws:
  `CoreException`

#### initializeFromMemento

    public void initializeFromMemento(String memento)
                               throws CoreException

Specified by:
  `initializeFromMemento` in interface `IPersistableSourceLocator`
Throws:
  `CoreException`

#### initializeDefaults

    public void initializeDefaults(ILaunchConfiguration configuration)
                            throws CoreException

Specified by:
  `initializeDefaults` in interface `IPersistableSourceLocator`
Throws:
  `CoreException`